Index: /branches/version-2_12-dev/data/class/SC_CheckError.php
===================================================================
--- /branches/version-2_12-dev/data/class/SC_CheckError.php	(revision 21481)
+++ /branches/version-2_12-dev/data/class/SC_CheckError.php	(revision 21514)
@@ -32,6 +32,6 @@
 
     // チェック対象の値が含まれる配列をセットする。
-    function SC_CheckError($array = "") {
-        if ($array != "") {
+    function SC_CheckError($array = '') {
+        if ($array != '') {
             $this->arrParam = $array;
         } else {
@@ -66,5 +66,5 @@
             foreach ($value[2] as $tag) {
                 $tag = preg_replace('/^\\//', '\/', $tag);
-                if (preg_match("/^" . $tag . "$/i", $val)) {
+                if (preg_match('/^' . $tag . "$/i", $val)) {
                     $find = true;
                     break;
@@ -73,5 +73,5 @@
 
             if (!$find) {
-                $this->arrErr[$value[1]] = "※ " . $value[0] . "に許可されていないタグ[" . strtoupper($val) . "]が含まれています。<br />";
+                $this->arrErr[$value[1]] = '※ ' . $value[0] . 'に許可されていないタグ[' . strtoupper($val) . "]が含まれています。<br />";
                 return;
             }
@@ -92,7 +92,7 @@
         $this->createParam($value);
         if (!is_array($this->arrParam[$value[1]]) && strlen($this->arrParam[$value[1]]) == 0) {
-            $this->arrErr[$value[1]] = "※ " . $value[0] . "が入力されていません。<br />";
+            $this->arrErr[$value[1]] = '※ ' . $value[0] . 'が入力されていません。<br />';
         } else if (is_array($this->arrParam[$value[1]]) && count($this->arrParam[$value[1]]) == 0) {
-            $this->arrErr[$value[1]] = "※ " . $value[0] . "が選択されていません。<br />";
+            $this->arrErr[$value[1]] = '※ ' . $value[0] . 'が選択されていません。<br />';
         }
     }
@@ -111,5 +111,5 @@
         $this->createParam($value);
         if (strlen($this->arrParam[$value[0]]) == 0) {
-            $this->arrErr[$value[0]] = "※ " . $value[0] . "が入力されていません。<br />";
+            $this->arrErr[$value[0]] = '※ ' . $value[0] . 'が入力されていません。<br />';
         }
     }
@@ -128,5 +128,5 @@
         $this->createParam($value);
         if (strlen($this->arrParam[$value[1]]) != 0 && preg_match("/^[ 　\t\r\n]+$/", $this->arrParam[$value[1]])) {
-            $this->arrErr[$value[1]] = "※ " . $value[0] . "にスペース、タブ、改行のみの入力はできません。<br />";
+            $this->arrErr[$value[1]] = '※ ' . $value[0] . 'にスペース、タブ、改行のみの入力はできません。<br />';
         }
     }
@@ -145,5 +145,5 @@
         $this->createParam($value);
         if (strlen($this->arrParam[$value[1]]) != 0 && preg_match("/[　 \t\r\n]+/u", $this->arrParam[$value[1]])) {
-            $this->arrErr[$value[1]] = "※ " . $value[0] . "にスペース、タブ、改行は含めないで下さい。<br />";
+            $this->arrErr[$value[1]] = '※ ' . $value[0] . 'にスペース、タブ、改行は含めないで下さい。<br />';
         }
     }
@@ -156,5 +156,5 @@
         $this->createParam($value);
         if (strlen($this->arrParam[$value[1]]) != 0 && preg_match("/^[0]+[0-9]+$/", $this->arrParam[$value[1]])) {
-            $this->arrErr[$value[1]] = "※ " . $value[0] . "に0で始まる数値が入力されています。<br />";
+            $this->arrErr[$value[1]] = '※ ' . $value[0] . 'に0で始まる数値が入力されています。<br />';
         }
     }
@@ -173,5 +173,5 @@
         $this->createParam($value);
         if (strlen($this->arrParam[$value[1]]) == 0) {
-            $this->arrErr[$value[1]] = "※ " . $value[0] . "が選択されていません。<br />";
+            $this->arrErr[$value[1]] = '※ ' . $value[0] . 'が選択されていません。<br />';
         }
     }
@@ -191,5 +191,5 @@
         // 文字数の取得
         if ($this->arrParam[$value[2]] !== $this->arrParam[$value[3]]) {
-            $this->arrErr[$value[2]] = "※ " . $value[0] . "と" . $value[1] . "が一致しません。<br />";
+            $this->arrErr[$value[2]] = '※ ' . $value[0] . 'と' . $value[1] . "が一致しません。<br />";
         }
     }
@@ -209,5 +209,5 @@
         // 文字数の取得
         if ($this->arrParam[$value[2]] == $this->arrParam[$value[3]]) {
-            $this->arrErr[$value[2]] = "※ " . $value[0] . "と" . $value[1] . "は、同じ値を使用できません。<br />";
+            $this->arrErr[$value[2]] = '※ ' . $value[0] . 'と' . $value[1] . "は、同じ値を使用できません。<br />";
         }
     }
@@ -226,6 +226,6 @@
         $this->createParam($value);
         // 文字数の取得
-        if ($this->arrParam[$value[2]] != "" && $this->arrParam[$value[3]] != "" && ($this->arrParam[$value[2]] > $this->arrParam[$value[3]])) {
-            $this->arrErr[$value[2]] = "※ " . $value[0] . "は" . $value[1] . "より大きい値を入力できません。<br />";
+        if ($this->arrParam[$value[2]] != '' && $this->arrParam[$value[3]] != '' && ($this->arrParam[$value[2]] > $this->arrParam[$value[3]])) {
+            $this->arrErr[$value[2]] = '※ ' . $value[0] . 'は' . $value[1] . "より大きい値を入力できません。<br />";
         }
     }
@@ -245,5 +245,5 @@
         // 文字数の取得
         if (mb_strlen($this->arrParam[$value[1]]) > $value[2]) {
-            $this->arrErr[$value[1]] = "※ " . $value[0] . "は" . $value[2] . "字以下で入力してください。<br />";
+            $this->arrErr[$value[1]] = '※ ' . $value[0] . 'は' . $value[2] . "字以下で入力してください。<br />";
         }
     }
@@ -263,5 +263,5 @@
         // 文字数の取得
         if (mb_strlen($this->arrParam[$value[1]]) < $value[2]) {
-            $this->arrErr[$value[1]] = "※ " . $value[0] . "は" . $value[2] . "字以上で入力してください。<br />";
+            $this->arrErr[$value[1]] = '※ ' . $value[0] . 'は' . $value[2] . "字以上で入力してください。<br />";
         }
     }
@@ -281,5 +281,5 @@
         // 文字数の取得
         if ($this->arrParam[$value[1]] > $value[2]) {
-            $this->arrErr[$value[1]] = "※ " . $value[0] . "は" . $value[2] . "以下で入力してください。<br />";
+            $this->arrErr[$value[1]] = '※ ' . $value[0] . 'は' . $value[2] . "以下で入力してください。<br />";
         }
     }
@@ -298,5 +298,5 @@
         $this->createParam($value);
         if ($this->arrParam[$value[1]] < $value[2]) {
-            $this->arrErr[$value[1]] = "※ " . $value[0] . "は" . $value[2] . "以上で入力してください。<br />";
+            $this->arrErr[$value[1]] = '※ ' . $value[0] . 'は' . $value[2] . "以上で入力してください。<br />";
         }
     }
@@ -315,5 +315,5 @@
         $this->createParam($value);
         if ($this->numelicCheck($this->arrParam[$value[1]])) {
-            $this->arrErr[$value[1]] = "※ " . $value[0] . "は数字で入力してください。<br />";
+            $this->arrErr[$value[1]] = '※ ' . $value[0] . 'は数字で入力してください。<br />';
         }
     }
@@ -332,5 +332,5 @@
         $this->createParam($value);
         if (strlen($this->arrParam[$value[1]]) > 0 && !is_numeric($this->arrParam[$value[1]])) {
-            $this->arrErr[$value[1]] = "※ " . $value[0] . "は数字で入力してください。<br />";
+            $this->arrErr[$value[1]] = '※ ' . $value[0] . 'は数字で入力してください。<br />';
         }
     }
@@ -342,5 +342,5 @@
         $this->createParam($value);
         if (strlen($this->arrParam[$value[1]]) > 0 && !ctype_alpha($this->arrParam[$value[1]])) {
-            $this->arrErr[$value[1]] = "※ " . $value[0] . "は半角英字で入力してください。<br />";
+            $this->arrErr[$value[1]] = '※ ' . $value[0] . 'は半角英字で入力してください。<br />';
         }
     }
@@ -377,5 +377,5 @@
         // すべての項目が満たされていない場合を判定(一部だけ入力されている状態)
         if ($cnt > 0 && $cnt < 3) {
-            $this->arrErr[$value[1]] .= "※ " . $value[0] . "はすべての項目を入力してください。<br />";
+            $this->arrErr[$value[1]] .= '※ ' . $value[0] . 'はすべての項目を入力してください。<br />';
         }
 
@@ -383,7 +383,7 @@
         for ($i = 1; $i <= 3; $i++) {
             if (strlen($this->arrParam[$value[$i]]) > 0 && strlen($this->arrParam[$value[$i]]) > $telItemLen) {
-                $this->arrErr[$value[$i]] .= "※ " . $value[0] . $i . "は" . $telItemLen . "字以内で入力してください。<br />";
+                $this->arrErr[$value[$i]] .= '※ ' . $value[0] . $i . 'は' . $telItemLen . "字以内で入力してください。<br />";
             } else if ($this->numelicCheck($this->arrParam[$value[1]])) {
-                $this->arrErr[$value[$i]] .= "※ " . $value[0] . $i . "は数字で入力してください。<br />";
+                $this->arrErr[$value[$i]] .= '※ ' . $value[0] . $i . 'は数字で入力してください。<br />';
             }
             $total_count += strlen($this->arrParam[$value[$i]]);
@@ -392,5 +392,5 @@
         // 合計値チェック
         if ($total_count > $telLen) {
-            $this->arrErr[$value[3]] .= "※ " . $value[0] . "は" . $telLen . "文字以内で入力してください。<br />";
+            $this->arrErr[$value[3]] .= '※ ' . $value[0] . 'は' . $telLen . "文字以内で入力してください。<br />";
         }
     }
@@ -420,5 +420,5 @@
 
         if ($blank) {
-            $this->arrErr[$value[1]] = "※ " . $value[0] . "が入力されていません。<br />";
+            $this->arrErr[$value[1]] = '※ ' . $value[0] . 'が入力されていません。<br />';
         }
     }
@@ -451,5 +451,5 @@
 
         if ($blank && $input) {
-            $this->arrErr[$value[1]] = "※ " . $value[0] . "はすべての項目を入力して下さい。<br />";
+            $this->arrErr[$value[1]] = '※ ' . $value[0] . 'はすべての項目を入力して下さい。<br />';
         }
     }
@@ -479,5 +479,5 @@
 
         if (!$input) {
-            $this->arrErr[$value[1]] = "※ " . $value[0] . "が入力されていません。<br />";
+            $this->arrErr[$value[1]] = '※ ' . $value[0] . 'が入力されていません。<br />';
         }
     }
@@ -513,5 +513,5 @@
 
         if ($error) {
-            $this->arrErr[$value[1]] = "※ " . $value[0] . "は先頭の項目から順番に入力して下さい。<br />";
+            $this->arrErr[$value[1]] = '※ ' . $value[0] . 'は先頭の項目から順番に入力して下さい。<br />';
         }
     }
@@ -526,5 +526,5 @@
         $this->createParam($value);
         if (strlen($this->arrParam[$value[1]]) > 0 && !preg_match("/^[ァ-ヶｦ-ﾟー]+$/u", $this->arrParam[$value[1]])) {
-            $this->arrErr[$value[1]] = "※ " . $value[0] . "はカタカナで入力してください。<br />";
+            $this->arrErr[$value[1]] = '※ ' . $value[0] . 'はカタカナで入力してください。<br />';
         }
     }
@@ -539,5 +539,5 @@
         $this->createParam($value);
         if (strlen($this->arrParam[$value[1]]) > 0 && !preg_match("/^([　 \t\r\n]|[ァ-ヶ]|[ー])+$/u", $this->arrParam[$value[1]])) {
-            $this->arrErr[$value[1]] = "※ " . $value[0] . "はカタカナで入力してください。<br />";
+            $this->arrErr[$value[1]] = '※ ' . $value[0] . 'はカタカナで入力してください。<br />';
         }
     }
@@ -552,5 +552,5 @@
         $this->createParam($value);
         if (strlen($this->arrParam[$value[1]]) > 0 && !ctype_alnum($this->arrParam[$value[1]])) {
-            $this->arrErr[$value[1]] = "※ " . $value[0] . "は英数字で入力してください。<br />";
+            $this->arrErr[$value[1]] = '※ ' . $value[0] . 'は英数字で入力してください。<br />';
         }
     }
@@ -565,5 +565,5 @@
         $this->createParam($value);
         if (strlen($this->arrParam[$value[1]]) > 0 && !preg_match("/^[[:graph:]|[:space:]]+$/i", $this->arrParam[$value[1]])) {
-            $this->arrErr[$value[1]] = "※ " . $value[0] . "は英数記号で入力してください。<br />";
+            $this->arrErr[$value[1]] = '※ ' . $value[0] . 'は英数記号で入力してください。<br />';
         }
     }
@@ -575,5 +575,5 @@
         $this->createParam($value);
         if ($this->arrParam[$value[1]] == '0') {
-            $this->arrErr[$value[1]] = "※ " . $value[0] . "は1以上を入力してください。<br />";
+            $this->arrErr[$value[1]] = '※ ' . $value[0] . 'は1以上を入力してください。<br />';
         }
     }
@@ -653,5 +653,5 @@
 
         if (!preg_match($regexp, $this->arrParam[$value[1]])) {
-            $this->arrErr[$value[1]] = "※ " . $value[0] . "の形式が不正です。<br />";
+            $this->arrErr[$value[1]] = '※ ' . $value[0] . 'の形式が不正です。<br />';
             return;
         }
@@ -672,5 +672,5 @@
         $this->createParam($value);
         if (strlen($this->arrParam[$value[1]]) > 0 && !preg_match("/^[a-zA-Z0-9_\.@\+\?-]+$/i",$this->arrParam[$value[1]])) {
-            $this->arrErr[$value[1]] = "※ " . $value[0] . "に使用する文字を正しく入力してください。<br />";
+            $this->arrErr[$value[1]] = '※ ' . $value[0] . 'に使用する文字を正しく入力してください。<br />';
         }
     }
@@ -684,5 +684,5 @@
         }
          if (strlen($this->arrParam[$value[1]]) > 0 && !preg_match("@^https?://+($|[a-zA-Z0-9_~=:&\?\.\/-])+$@i", $this->arrParam[$value[1]])) {
-            $this->arrErr[$value[1]] = "※ " . $value[0] . "を正しく入力してください。<br />";
+            $this->arrErr[$value[1]] = '※ ' . $value[0] . 'を正しく入力してください。<br />';
         }
     }
@@ -704,5 +704,5 @@
                 $param = trim($param);
                 if (long2ip(ip2long($param)) != trim($param) && !empty($param)) {
-                    $this->arrErr[$value[1]] = "※ " . $value[0] . "に正しい形式のIPアドレスを入力してください。<br />";
+                    $this->arrErr[$value[1]] = '※ ' . $value[0] . 'に正しい形式のIPアドレスを入力してください。<br />';
                 }
             }
@@ -719,19 +719,19 @@
         $this->createParam($value);
 
-        if ($_FILES[$value[1]]['name'] != "") {
+        if ($_FILES[$value[1]]['name'] != '') {
             $errFlag = 1;
-            $array_ext = explode(".", $_FILES[$value[1]]['name']);
-
-            $strExt = "";
+            $array_ext = explode('.', $_FILES[$value[1]]['name']);
+
+            $strExt = '';
 
             foreach ($value[2] as $checkExt) {
-                $ext = "";
+                $ext = '';
 
                 // チェック拡張子のピリオドの数を取得('tar.gz'の場合1個、'jpg'のように通常は0個)
-                $count_period = substr_count($checkExt, ".");
+                $count_period = substr_count($checkExt, '.');
 
                 if ($count_period > 0) {
                     for ($i = max(array_keys($array_ext)) - $count_period; $i < count($array_ext); $i++) {
-                        $ext .= $array_ext[$i] . ".";
+                        $ext .= $array_ext[$i] . '.';
                     }
                     $ext = preg_replace("/.$/", "" ,$ext);
@@ -746,5 +746,5 @@
                 }
 
-                if ($strExt == "") {
+                if ($strExt == '') {
                     $strExt.= $checkExt;
                 } else {
@@ -754,5 +754,5 @@
         }
         if ($errFlag == 1) {
-            $this->arrErr[$value[1]] = "※ " . $value[0] . "で許可されている形式は、" . $strExt . "です。<br />";
+            $this->arrErr[$value[1]] = '※ ' . $value[0] . 'で許可されている形式は、' . $strExt . "です。<br />";
         }
     }
@@ -767,5 +767,5 @@
 
         $this->createParam($value);
-        if ($value[2] != "") {
+        if ($value[2] != '') {
             $dir = $value[2];
         } else {
@@ -773,9 +773,9 @@
         }
 
-        $path = $dir . "/" . $this->arrParam[$value[1]];
-        $path = str_replace("//", "/", $path);
-
-        if ($this->arrParam[$value[1]] != "" && !file_exists($path)) {
-            $this->arrErr[$value[1]] = "※ " . $path . "が見つかりません。<br />";
+        $path = $dir . '/' . $this->arrParam[$value[1]];
+        $path = str_replace('//', '/', $path);
+
+        if ($this->arrParam[$value[1]] != '' && !file_exists($path)) {
+            $this->arrErr[$value[1]] = '※ ' . $path . 'が見つかりません。<br />';
         }
     }
@@ -789,6 +789,6 @@
         }
         $this->createParam($value);
-        if (!($_FILES[$value[1]]['size'] != "" && $_FILES[$value[1]]['size'] > 0)) {
-            $this->arrErr[$value[1]] = "※ " . $value[0] . "をアップロードして下さい。<br />";
+        if (!($_FILES[$value[1]]['size'] != '' && $_FILES[$value[1]]['size'] > 0)) {
+            $this->arrErr[$value[1]] = '※ ' . $value[0] . 'をアップロードして下さい。<br />';
         }
     }
@@ -808,10 +808,10 @@
                 $byte = 'MB';
             }
-            $this->arrErr[$value[1]] = "※ " . $value[0] . "のファイルサイズは" . $value[2] . $byte . "以下のものを使用してください。<br />";
+            $this->arrErr[$value[1]] = '※ ' . $value[0] . 'のファイルサイズは' . $value[2] . $byte . "以下のものを使用してください。<br />";
         }
     }
 
     /*　ファイル名の判定　*/
-    // 入力文字が英数字,'_',"-"以外ならエラーを返す
+    // 入力文字が英数字,'_','-'以外ならエラーを返す
     // value[0] = 項目名 value[1] = 判定対象文字列
     function FILE_NAME_CHECK($value) {
@@ -821,10 +821,10 @@
         $this->createParam($value);
         if (strlen($_FILES[$value[1]]['name']) > 0 && !preg_match("/^[[:alnum:]_\.-]+$/i", $_FILES[$value[1]]['name'])) {
-            $this->arrErr[$value[1]] = "※ " . $value[0] . "のファイル名に日本語やスペースは使用しないで下さい。<br />";
+            $this->arrErr[$value[1]] = '※ ' . $value[0] . 'のファイル名に日本語やスペースは使用しないで下さい。<br />';
         }
     }
 
     /*　ファイル名の判定(アップロード以外の時)　*/
-    // 入力文字が英数字,'_',"-"以外ならエラーを返す
+    // 入力文字が英数字,'_','-'以外ならエラーを返す
     // value[0] = 項目名 value[1] = 判定対象文字列
     function FILE_NAME_CHECK_BY_NOUPLOAD($value) {
@@ -834,5 +834,5 @@
         $this->createParam($value);
         if (strlen($this->arrParam[$value[1]]) > 0 && !preg_match("/^[[:alnum:]_\.-]+$/i", $this->arrParam[$value[1]]) || preg_match("/[\\]/" ,$this->arrParam[$value[1]])) {
-            $this->arrErr[$value[1]] = "※ " . $value[0] . "のファイル名に日本語やスペースは使用しないで下さい。<br />";
+            $this->arrErr[$value[1]] = '※ ' . $value[0] . 'のファイル名に日本語やスペースは使用しないで下さい。<br />';
         }
     }
@@ -852,7 +852,7 @@
             // 年月日のどれかが入力されていない。
             if (!(strlen($this->arrParam[$value[1]]) > 0 && strlen($this->arrParam[$value[2]]) > 0 && strlen($this->arrParam[$value[3]]) > 0)) {
-                $this->arrErr[$value[1]] = "※ " . $value[0] . "はすべての項目を入力して下さい。<br />";
+                $this->arrErr[$value[1]] = '※ ' . $value[0] . 'はすべての項目を入力して下さい。<br />';
             } else if (! checkdate($this->arrParam[$value[2]], $this->arrParam[$value[3]], $this->arrParam[$value[1]])) {
-                $this->arrErr[$value[1]] = "※ " . $value[0] . "が正しくありません。<br />";
+                $this->arrErr[$value[1]] = '※ ' . $value[0] . 'が正しくありません。<br />';
             }
         }
@@ -875,7 +875,7 @@
             // 年月日時のどれかが入力されていない。
             if (!(strlen($this->arrParam[$value[1]]) > 0 && strlen($this->arrParam[$value[2]]) > 0 && strlen($this->arrParam[$value[3]]) > 0 && strlen($this->arrParam[$value[4]]) > 0 && strlen($this->arrParam[$value[5]]) > 0)) {
-                $this->arrErr[$value[1]] = "※ " . $value[0] . "はすべての項目を入力して下さい。<br />";
+                $this->arrErr[$value[1]] = '※ ' . $value[0] . 'はすべての項目を入力して下さい。<br />';
             } else if (! checkdate($this->arrParam[$value[2]], $this->arrParam[$value[3]], $this->arrParam[$value[1]])) {
-                $this->arrErr[$value[1]] = "※ " . $value[0] . "が正しくありません。<br />";
+                $this->arrErr[$value[1]] = '※ ' . $value[0] . 'が正しくありません。<br />';
             }
         }
@@ -895,7 +895,7 @@
             // 年月日時のどれかが入力されていない。
             if (!(strlen($this->arrParam[$value[1]]) > 0 && strlen($this->arrParam[$value[2]]) > 0)) {
-                $this->arrErr[$value[1]] = "※ " . $value[0] . "はすべての項目を入力して下さい。<br />";
+                $this->arrErr[$value[1]] = '※ ' . $value[0] . 'はすべての項目を入力して下さい。<br />';
             } else if (! checkdate($this->arrParam[$value[2]], 1, $this->arrParam[$value[1]])) {
-                $this->arrErr[$value[1]] = "※ " . $value[0] . "が正しくありません。<br />";
+                $this->arrErr[$value[1]] = '※ ' . $value[0] . 'が正しくありません。<br />';
             }
         }
@@ -961,16 +961,16 @@
         $error = 0;
         if ((strlen($this->arrParam[$value[2]]) > 0 || strlen($this->arrParam[$value[3]]) > 0 || strlen($this->arrParam[$value[4]]) > 0) && ! checkdate($this->arrParam[$value[3]], $this->arrParam[$value[4]], $this->arrParam[$value[2]])) {
-            $this->arrErr[$value[2]] = "※ " . $value[0] . "を正しく指定してください。<br />";
+            $this->arrErr[$value[2]] = '※ ' . $value[0] . 'を正しく指定してください。<br />';
         }
         if ((strlen($this->arrParam[$value[5]]) > 0 || strlen($this->arrParam[$value[6]]) > 0 || strlen($this->arrParam[$value[7]]) > 0) && ! checkdate($this->arrParam[$value[6]], $this->arrParam[$value[7]], $this->arrParam[$value[5]])) {
-            $this->arrErr[$value[5]] = "※ " . $value[1] . "を正しく指定してください。<br />";
+            $this->arrErr[$value[5]] = '※ ' . $value[1] . 'を正しく指定してください。<br />';
         }
         if ((strlen($this->arrParam[$value[2]]) > 0 && strlen($this->arrParam[$value[3]]) > 0 && strlen($this->arrParam[$value[4]]) > 0) &&  (strlen($this->arrParam[$value[5]]) > 0 || strlen($this->arrParam[$value[6]]) > 0 || strlen($this->arrParam[$value[7]]) > 0)) {
 
-            $date1 = $this->arrParam[$value[2]] .sprintf("%02d", $this->arrParam[$value[3]]) .sprintf("%02d",$this->arrParam[$value[4]]) .'000000';
-            $date2 = $this->arrParam[$value[5]] .sprintf("%02d", $this->arrParam[$value[6]]) .sprintf("%02d",$this->arrParam[$value[7]]) .'235959';
-
-            if (($this->arrErr[$value[2]] == "" && $this->arrErr[$value[5]] == "") && $date1 > $date2) {
-                $this->arrErr[$value[2]] = "※ " .$value[0]. "と" .$value[1]. "の期間指定が不正です。<br />";
+            $date1 = $this->arrParam[$value[2]] .sprintf('%02d', $this->arrParam[$value[3]]) .sprintf('%02d',$this->arrParam[$value[4]]) .'000000';
+            $date2 = $this->arrParam[$value[5]] .sprintf('%02d', $this->arrParam[$value[6]]) .sprintf('%02d',$this->arrParam[$value[7]]) .'235959';
+
+            if (($this->arrErr[$value[2]] == '' && $this->arrErr[$value[5]] == '') && $date1 > $date2) {
+                $this->arrErr[$value[2]] = '※ ' .$value[0]. 'と' .$value[1]. "の期間指定が不正です。<br />";
             }
         }
@@ -1012,19 +1012,19 @@
         $error = 0;
         if ((strlen($this->arrParam[$value[2]]) > 0 || strlen($this->arrParam[$value[3]]) > 0 || strlen($this->arrParam[$value[4]]) > 0 || strlen($this->arrParam[$value[5]]) > 0) && ! checkdate($this->arrParam[$value[3]], $this->arrParam[$value[4]], $this->arrParam[$value[2]])) {
-            $this->arrErr[$value[2]] = "※ " . $value[0] . "を正しく指定してください。<br />";
+            $this->arrErr[$value[2]] = '※ ' . $value[0] . 'を正しく指定してください。<br />';
         }
         if ((strlen($this->arrParam[$value[8]]) > 0 || strlen($this->arrParam[$value[9]]) > 0 || strlen($this->arrParam[$value[10]]) > 0 || strlen($this->arrParam[$value[11]]) > 0) && ! checkdate($this->arrParam[$value[9]], $this->arrParam[$value[10]], $this->arrParam[$value[8]])) {
-            $this->arrErr[$value[8]] = "※ " . $value[1] . "を正しく指定してください。<br />";
+            $this->arrErr[$value[8]] = '※ ' . $value[1] . 'を正しく指定してください。<br />';
         }
         if ((strlen($this->arrParam[$value[2]]) > 0 && strlen($this->arrParam[$value[3]]) > 0 && strlen($this->arrParam[$value[4]]) > 0 && strlen($this->arrParam[$value[5]]) > 0) &&  (strlen($this->arrParam[$value[8]]) > 0 || strlen($this->arrParam[$value[9]]) > 0 || strlen($this->arrParam[$value[10]]) > 0 || strlen($this->arrParam[$value[11]]) > 0)) {
 
-            $date1 = $this->arrParam[$value[2]] .sprintf("%02d", $this->arrParam[$value[3]]) .sprintf("%02d",$this->arrParam[$value[4]]) .sprintf("%02d",$this->arrParam[$value[5]]).sprintf("%02d",$this->arrParam[$value[6]]).sprintf("%02d",$this->arrParam[$value[7]]);
-            $date2 = $this->arrParam[$value[8]] .sprintf("%02d", $this->arrParam[$value[9]]) .sprintf("%02d",$this->arrParam[$value[10]]) .sprintf("%02d",$this->arrParam[$value[11]]).sprintf("%02d",$this->arrParam[$value[12]]).sprintf("%02d",$this->arrParam[$value[13]]);
-
-            if (($this->arrErr[$value[2]] == "" && $this->arrErr[$value[8]] == "") && $date1 > $date2) {
-                $this->arrErr[$value[2]] = "※ " .$value[0]. "と" .$value[1]. "の期間指定が不正です。<br />";
+            $date1 = $this->arrParam[$value[2]] .sprintf('%02d', $this->arrParam[$value[3]]) .sprintf('%02d',$this->arrParam[$value[4]]) .sprintf("%02d",$this->arrParam[$value[5]]).sprintf("%02d",$this->arrParam[$value[6]]).sprintf("%02d",$this->arrParam[$value[7]]);
+            $date2 = $this->arrParam[$value[8]] .sprintf('%02d', $this->arrParam[$value[9]]) .sprintf('%02d',$this->arrParam[$value[10]]) .sprintf("%02d",$this->arrParam[$value[11]]).sprintf("%02d",$this->arrParam[$value[12]]).sprintf("%02d",$this->arrParam[$value[13]]);
+
+            if (($this->arrErr[$value[2]] == '' && $this->arrErr[$value[8]] == '') && $date1 > $date2) {
+                $this->arrErr[$value[2]] = '※ ' .$value[0]. 'と' .$value[1]. "の期間指定が不正です。<br />";
             }
             if ($date1 == $date2) {
-                $this->arrErr[$value[2]] = "※ " .$value[0]. "と" .$value[1]. "の期間指定が不正です。<br />";
+                $this->arrErr[$value[2]] = '※ ' .$value[0]. 'と' .$value[1]. "の期間指定が不正です。<br />";
             }
 
@@ -1056,16 +1056,16 @@
         $error = 0;
         if ((strlen($this->arrParam[$value[2]]) > 0 || strlen($this->arrParam[$value[3]]) > 0) && ! checkdate($this->arrParam[$value[3]], 1, $this->arrParam[$value[2]])) {
-            $this->arrErr[$value[2]] = "※ " . $value[0] . "を正しく指定してください。<br />";
+            $this->arrErr[$value[2]] = '※ ' . $value[0] . 'を正しく指定してください。<br />';
         }
         if ((strlen($this->arrParam[$value[4]]) > 0 || strlen($this->arrParam[$value[5]]) > 0) && ! checkdate($this->arrParam[$value[5]], 1, $this->arrParam[$value[4]])) {
-            $this->arrErr[$value[4]] = "※ " . $value[1] . "を正しく指定してください。<br />";
+            $this->arrErr[$value[4]] = '※ ' . $value[1] . 'を正しく指定してください。<br />';
         }
         if ((strlen($this->arrParam[$value[2]]) > 0 && strlen($this->arrParam[$value[3]]) > 0 && (strlen($this->arrParam[$value[4]]) > 0 || strlen($this->arrParam[$value[5]]) > 0))) {
 
-            $date1 = $this->arrParam[$value[2]] .sprintf("%02d", $this->arrParam[$value[3]]);
-            $date2 = $this->arrParam[$value[4]] .sprintf("%02d", $this->arrParam[$value[5]]);
-
-            if (($this->arrErr[$value[2]] == "" && $this->arrErr[$value[5]] == "") && $date1 > $date2) {
-                $this->arrErr[$value[2]] = "※ " .$value[0]. "と" .$value[1]. "の期間指定が不正です。<br />";
+            $date1 = $this->arrParam[$value[2]] .sprintf('%02d', $this->arrParam[$value[3]]);
+            $date2 = $this->arrParam[$value[4]] .sprintf('%02d', $this->arrParam[$value[5]]);
+
+            if (($this->arrErr[$value[2]] == '' && $this->arrErr[$value[5]] == '') && $date1 > $date2) {
+                $this->arrErr[$value[2]] = '※ ' .$value[0]. 'と' .$value[1]. "の期間指定が不正です。<br />";
             }
         }
@@ -1079,5 +1079,5 @@
         $this->createParam($value);
         if (!is_dir($this->arrParam[$value[1]])) {
-            $this->arrErr[$value[1]] = "※ 指定した" . $value[0] . "は存在しません。<br />";
+            $this->arrErr[$value[1]] = '※ 指定した' . $value[0] . 'は存在しません。<br />';
         }
     }
@@ -1089,5 +1089,5 @@
         }
         if (strlen($this->arrParam[$value[1]]) > 0 && !preg_match("/^\.[^.]+\..+/i", $this->arrParam[$value[1]])) {
-            $this->arrErr[$value[1]] = "※ " . $value[0] . "の形式が不正です。<br />";
+            $this->arrErr[$value[1]] = '※ ' . $value[0] . 'の形式が不正です。<br />';
         }
     }
@@ -1103,5 +1103,5 @@
         $objMobile = new SC_Helper_Mobile_Ex();
         if (strlen($this->arrParam[$value[1]]) > 0 && !$objMobile->gfIsMobileMailAddress($this->arrParam[$value[1]])) {
-            $this->arrErr[$value[1]] = "※ " . $value[0] . "は携帯電話のものではありません。<br />";
+            $this->arrErr[$value[1]] = '※ ' . $value[0] . 'は携帯電話のものではありません。<br />';
         }
     }
@@ -1124,8 +1124,8 @@
         switch ($register_user_flg) {
             case 1:
-                $this->arrErr[$value[1]] .= "※ すでに会員登録で使用されている" . $value[0] . "です。<br />";
+                $this->arrErr[$value[1]] .= '※ すでに会員登録で使用されている' . $value[0] . 'です。<br />';
                 break;
             case 2:
-                $this->arrErr[$value[1]] .= "※ 退会から一定期間の間は、同じ" . $value[0] . "を使用することはできません。<br />";
+                $this->arrErr[$value[1]] .= '※ 退会から一定期間の間は、同じ' . $value[0] . 'を使用することはできません。<br />';
                 break;
             default:
@@ -1151,5 +1151,5 @@
         $pattern = '/' . join('|', $prohibitedStr) . '/i';
         if (preg_match_all($pattern, $this->arrParam[$value[1]], $matches)) {
-            $this->arrErr[$value[1]] = "※ " . $value[0] . "は入力できません。<br />";
+            $this->arrErr[$value[1]] = '※ ' . $value[0] . 'は入力できません。<br />';
         }
     }
@@ -1168,5 +1168,5 @@
         $this->createParam($value);
         if ($this->evalCheck($value[1]) === false) {
-            $this->arrErr[$value[0]] = "※ " . $value[0] . " の形式が不正です。<br />";
+            $this->arrErr[$value[0]] = '※ ' . $value[0] . ' の形式が不正です。<br />';
         }
     }
@@ -1185,5 +1185,5 @@
             return true;
         }
-        return @eval("return " . $value . ";");
+        return @eval('return ' . $value . ';');
     }
 
@@ -1198,5 +1198,5 @@
         foreach ($value as $key) {
             if (is_string($key) || is_int($key)) {
-                if (!isset($this->arrParam[$key]))  $this->arrParam[$key] = "";
+                if (!isset($this->arrParam[$key]))  $this->arrParam[$key] = '';
             }
         }
Index: /branches/version-2_12-dev/data/class/SC_Initial.php
===================================================================
--- /branches/version-2_12-dev/data/class/SC_Initial.php	(revision 21481)
+++ /branches/version-2_12-dev/data/class/SC_Initial.php	(revision 21514)
@@ -88,6 +88,6 @@
             /** サイト用DB */
             define ('DEFAULT_DSN',
-                    DB_TYPE . "://" . DB_USER . ":" . DB_PASSWORD . "@"
-                    . DB_SERVER . ":" .DB_PORT . "/" . DB_NAME);
+                    DB_TYPE . '://' . DB_USER . ':' . DB_PASSWORD . "@"
+                    . DB_SERVER . ':' .DB_PORT . '/' . DB_NAME);
         }
     }
@@ -184,13 +184,13 @@
 
         // 定数を設定
-        if (is_file(CACHE_REALDIR . "mtb_constants.php")) {
+        if (is_file(CACHE_REALDIR . 'mtb_constants.php')) {
             require_once CACHE_REALDIR . 'mtb_constants.php';
 
             // キャッシュが無ければ, 初期データからコピー
-        } elseif (is_file(CACHE_REALDIR . "../mtb_constants_init.php")) {
-
-            $mtb_constants = file_get_contents(CACHE_REALDIR . "../mtb_constants_init.php");
+        } elseif (is_file(CACHE_REALDIR . '../mtb_constants_init.php')) {
+
+            $mtb_constants = file_get_contents(CACHE_REALDIR . '../mtb_constants_init.php');
             if (is_writable(CACHE_REALDIR)) {
-                $handle = fopen(CACHE_REALDIR . "mtb_constants.php", 'w');
+                $handle = fopen(CACHE_REALDIR . 'mtb_constants.php', 'w');
                 if (!$handle) {
                     die($errorMessage);
@@ -206,5 +206,5 @@
             }
         } else {
-            die(CACHE_REALDIR . "../mtb_constants_init.php が存在しません");
+            die(CACHE_REALDIR . '../mtb_constants_init.php が存在しません');
         }
     }
Index: /branches/version-2_12-dev/data/class/SC_PageNavi.php
===================================================================
--- /branches/version-2_12-dev/data/class/SC_PageNavi.php	(revision 21481)
+++ /branches/version-2_12-dev/data/class/SC_PageNavi.php	(revision 21514)
@@ -72,6 +72,6 @@
 
             //「前へ」「次へ」の設定
-            $before = "";
-            $next = "";
+            $before = '';
+            $next = '';
             if ($this->now_page > 1) {
                 $this->arrPagenavi['before'] = $this->now_page - 1;
@@ -93,5 +93,5 @@
 
             // 表示する最大ナビ数を決める。
-            if ($navi_max == "" || $navi_max > $this->max_page) {
+            if ($navi_max == '' || $navi_max > $this->max_page) {
                 // 制限ナビ数の指定がない。ページ最大数が制限ナビ数より少ない。
                 $disp_max = $this->max_page;
@@ -106,5 +106,5 @@
 
             // 表示する最小ナビ数を決める。
-            if ($navi_max == "" || $navi_max > $this->now_page) {
+            if ($navi_max == '' || $navi_max > $this->now_page) {
                 // 制限ナビ数の指定がない。現在ページ番号が制限ナビ数より少ない。
                 $disp_min = 1;
@@ -115,5 +115,5 @@
 
             $this->arrPagenavi['arrPageno'] = array();
-            $page_number = "";
+            $page_number = '';
             for ($i = $disp_min; $i <= $disp_max; $i++) {
 
